html {
    background-color: rgb(0, 0, 0);
}

body {
    margin: 0;
    min-height: 100vh;
    padding-top: 9.5vh;
    font-family: Arial, Helvetica, sans-serif;
    background: linear-gradient(35deg, rgb(24, 60, 145), rgb(39, 23, 23), rgb(166, 97, 40));
    background-repeat: no-repeat;
    background-attachment: fixed;
}

/*Navbar:*/
.navbar .ul {
    background-color: rgba(0, 0, 0, 0.6);
    box-shadow: 0 0 10px rgb(0, 0, 0);
    list-style-type: none;
    position: fixed;
    margin: 0;
    padding: 0;
    top: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1;
    /* Platz zwischen den Elementen verteilen */
}

.logo {
    width: 80px;
    margin-left: 10px;
    margin-top: 7px;
}

.min-width {
    min-width: 110px;
    text-align: right;
}

.navbar .ul p {
    font-size: 20px;
}

.description {
    display: none;
}

.active {
    background-color: green;
}

.navbar-spacing {
    display: flex;
    align-items: center;
}

.button {
    border: none;
    border-radius: 8px;
    color: white;
    padding: 15px;
    margin-bottom: 3px;
    text-align: center;
    font-size: 18px;
    cursor: pointer;
    background-color: rgb(2, 117, 2);
    text-decoration: none;
    margin-right: 10px;
    box-shadow: inset 0 0 4px rgb(0, 0, 0);
}

.red {
    background-color: rgb(226, 3, 3);
}

.grey {
    background-color: rgba(255, 255, 255, 0.4);
    border: none;
    box-shadow: inset 0 0 4px rgb(0, 0, 0);
}

.burgermenu-icon {
    font-size: 3.5em;
    text-align: center;
    color: white;
    margin-right: 0.3em;
}

.burgermenu-content {
    position: absolute;
    background-color: rgb(59, 33, 19, 0.9);
    box-shadow: -5px 0 10px rgb(59, 33, 19), 0 5px 10px rgb(59, 33, 19);
    right: 0;
    top: 100%;
    border-bottom-left-radius: 8px;
    z-index: 1000;
}

.navbar .burgermenu-content a {
    display: block;
    color: rgb(255, 255, 255);
    text-decoration: none;
    padding: 20px;
    font-size: 25px;
}

.burgermenu-content .button {
    padding: 0;
    margin-top: 0;
    margin-left: 0.8em;
    margin-right: 0.8em;
    margin-bottom: 0.5em;
}

.hidden {
    display: none;
}

/*Admin Panel:*/
.admin-panel {
    display: flex;
    position: fixed;
    flex-direction: column;
    width: 300px;
    border-right: 1px solid black;
    padding: 20px;
    box-shadow: 2px 0px 5px rgba(0, 0, 0, 0.1);
    min-height: 100vh;
    /* Mindesthöhe des Body-Elements auf 100% der Bildschirmhöhe setzen */
    box-sizing: border-box;
    /* Border-Box-Modell verwenden, um padding und border in die Gesamthöhe einzubeziehen */
}

.admin-panel ul {
    padding: 0;
    list-style: none;
    flex-grow: 1;
    /* Nutze den verbleibenden Platz im Container */
}

.admin-panel li {
    margin-bottom: 15px;
}

.admin-panel a {
    display: block;
    color: black;
    text-align: left;
    text-decoration: none;
    padding: 20px;
    font-size: 18px;
}

.admin-panel a:hover {
    background-color: lightgrey;
    border-radius: 8px;
}

.admin-content {
    margin-left: 350px;
}

/*Main:*/
.message-good {
    width: 100%;
    line-height: 2em;
    text-align: center;
    background-color: rgba(0, 255, 0, 0.35);
    border: 1px solid rgba(0, 255, 0, 0.75);
    border-radius: 0.5em;
    color: rgba(255, 255, 255, 0.8);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    font-size: 1.1em;
}

.message-bad {
    width: 100%;
    line-height: 2em;
    text-align: center;
    background-color: rgba(255, 0, 0, 0.35);
    border: 1px solid rgba(255, 0, 0, 0.75);
    border-radius: 0.5em;
    color: rgba(255, 255, 255, 0.7);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    font-size: 1.1em;
}

.main-container {
    padding: 0 5%;
    width: 90%;
    /* Ensures the container takes full width */
}

.main-box {
    position: relative;
    background-color: rgba(0, 0, 0, 0.5);
    color: rgb(255, 255, 255);
    border-radius: 0.5em;
    width: 96%;
    padding: 0 2%;
    box-shadow: 0 0 10px rgb(0, 0, 0);
    margin-bottom: 1.5em;
}

.main-title {
    text-align: center;
    font-size: 1.5em;
    font-weight: bold;
    padding-top: 0.5em;
    margin-bottom: 0.5em;
}

.rating-buttons-box {
    display: flex;
    justify-content: space-between;
}

.rating-button {
    background-color: rgba(255, 255, 255, 0.4);
    border: none;
    border-radius: 0.7em;
    width: 18%;
    height: 45px;
    margin-bottom: 1em;
    box-shadow: inset 0 0 4px rgb(0, 0, 0);
    color: rgb(255, 255, 255);
    font-size: 1em;
    font-weight: bold;
}

.rating-button.selected {
    background-color: rgb(166, 97, 40);
    box-shadow: inset 0 0 10px rgb(24, 24, 24);
}

.main-textfield {
    width: 98.5%;
    height: 3em;
    margin-bottom: 0.1em;
    border: none;
    background-color: rgba(255, 255, 255, 0.4);
    color: rgb(255, 255, 255);
    border-radius: 0.5em;
    box-shadow: inset 0 0 4px rgb(0, 0, 0);
    text-align: center;
}

.main-textfield::placeholder {
    color: rgba(255, 255, 255, 0.8);
    text-align: center;
    font-size: 1.2em;
}

.main-textfield:focus {
    outline: none;
    border: none;
    box-shadow: inset 0 0 15px rgb(24, 24, 24);
}

.main-select {
    width: 100%;
    height: 3em;
    margin-bottom: 0.1em;
    border: none;
    background-color: rgba(255, 255, 255, 0.4);
    color: rgb(255, 255, 255);
    border-radius: 0.5em;
    box-shadow: inset 0 0 4px rgb(0, 0, 0);
    text-align: center;
}

.main-select:focus {
    outline: none;
    border: none;
    box-shadow: inset 0 0 15px rgb(24, 24, 24);
}

.main-textarea {
    width: 100%;
    height: 4em;
    box-sizing: border-box;
    /* Includes padding and border in the element's total width */
    margin-bottom: 1em;
    border: none;
    background-color: rgba(255, 255, 255, 0.4);
    color: rgb(255, 255, 255);
    border-radius: 0.5em;
    resize: none;
    box-shadow: inset 0 0 4px rgb(0, 0, 0);
}

.main-textarea::placeholder {
    color: rgba(255, 255, 255, 0.8);
    text-align: center;
    line-height: 1.7em;
}

.main-textarea:focus {
    outline: none;
    border: none;
    box-shadow: inset 0 0 15px rgb(24, 24, 24);
}

.main-button {
    display: inline-block;
    width: 100%;
    height: 42px;
    border: none;
    border-radius: 0.5em;
    box-shadow: inset 0 0 4px rgb(0, 0, 0);
    background-color: rgb(17, 58, 139);
    color: rgb(255, 255, 255);
    line-height: 42px;
    text-align: center;
    font-size: 1em;
    font-weight: bold;
    margin-bottom: 0.5em;
    text-decoration: none;
}

.main-logo-container {
    display: flex;
    justify-content: center;
    /* Center horizontally */
    align-items: center;
    /* Center vertically */
    height: 65vh;
    /* Adjust based on your container's desired height */
}

.main-logo {
    width: 100%;
    /* Example width, adjust as needed */
}

.close-button {
    position: absolute;
    top: 0.4em;
    /* Adjust as needed */
    right: 0.5em;
    /* Adjust as needed */
    font-size: 1.1em;
    color: rgba(255, 255, 255);
}

.admin-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.admin-box h3 {
    min-width: 30%;
}

.jury-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.jury-button {
    height: 42px;
    background-color: #f0f0f0;
    border: none;
    border-radius: 0.5em;
    box-shadow: inset 0 0 4px rgb(0, 0, 0);
    background-color: rgb(17, 58, 139);
    color: rgb(255, 255, 255);
    font-size: 1em;
    font-weight: bold;
    margin-bottom: 1em;
    text-decoration: none;
    /* Remove underline */
    text-align: center;
    /* Center text horizontally */
    line-height: 42px;
    /* Center text vertically for single line text */
    display: flex;
    /* Use flexbox for centering (optional) */
    justify-content: center;
    /* Horizontal centering with flexbox */
    align-items: center;
    /* Vertical centering with flexbox */
}

.short {
    width: 20%;
}

.long {
    width: 79%;
}


/*Footer:*/

/*Tablet:*/

@media screen and (min-width: 400px) {
    .description {
        display: block;
        color: rgb(255, 255, 255);
        text-align: left;
        text-decoration: none;
        font-size: 20px;
        font-weight: bold;
    }

    .main-logo-container {
        height: 70vh;
        /* Adjust based on your container's desired height */
    }

    .main-logo {
        width: 80%;
        /* Example width, adjust as needed */
    }

    .main-textfield {
        width: 99%;
    }
}

@media screen and (min-width: 800px) {
    .main-container {
        padding: 0 15%;
        /* Adds 10% padding on both sides */
        width: 70%;
        /* Ensures the container takes full width */
    }

    .main-logo-container {
        height: 70vh;
        /* Adjust based on your container's desired height */
    }

    .main-logo {
        width: 60%;
        /* Example width, adjust as needed */
    }

    .main-textfield {
        width: 99.2%;
    }
}

/*PC:*/
@media screen and (min-width: 1400px) {
    .main-container {
        padding: 0 25%;
        /* Adds 10% padding on both sides */
        width: 50%;
        /* Ensures the container takes full width */
    }

    .main-logo-container {
        height: 70vh;
        /* Adjust based on your container's desired height */
    }

    .main-logo {
        width: 50%;
        /* Example width, adjust as needed */
    }

    .main-textfield {
        width: 99.5%;
    }
}